#ifndef LIB_H_
#define LIB_H_

#include <string>
#include <map>

std::string code(std::string key, std::string line, int coef);

std::string decode(std::string key, std::string line);

std::string encode(std::string key, std::string line);

int get_weight(std::string line, const std::map<std::string, int> &freqs);

void get_pairs(std::string line, std::multimap<int, std::string> &pairs);

void get_pairs(std::string line, std::map<std::string, int> &pairs);

#endif
